<!DOCTYPE html>
<html lang="en">   
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE-edge">
        <meta name="viewport" content="width-device-width,initial-scale=1.0">
        <title>Form for Vlabs IITB at PVGCOET</title>
        <style>
h1{
    text-align: center;
    color: rgb(51, 255, 0);
    font-family: sans-serif;
}
.s1{

    border-left: 10px dotted orange;
    position: sticky;
    left: 50%;
    margin-left: 50px;
    border-right: 10px dotted orange;
    right: 50%;
    margin-right: 50px;
}
.s2{ 
    border-top: 10px dotted orange;
    border-bottom: 10px dotted orange;
    height: 2200px;
    position: sticky;
    margin-right: 1%;
    margin-left: 1%;
    margin-top: 0%;
}
h2{
    border: 5px solid black;
    background-color: rgb(5, 195, 253);
    margin-left: 1%;
    margin-right: 1%;
    padding-left: 1%;
}
ol{
   padding-left: 4.5%;
    font-size: x-large;
    font-weight: bold;
}
label{
    font-weight: bold;
}
#n1,#n3,#n4,#n5,#n6{
    width: 190px;
}
#n2{
    width: 50px;
}
#sub1{
    width: 150px;
    height: 50px;
}
table,th,td,tr{
             margin-left: 3%;
            border:1px solid rgb(187, 21, 21);
        border-collapse:collpase;
          }  
          footer{
              background-color: lightgreen;
          }

        </style>
        </head>
        <body>
            <!--Adding images as hyperlinks-->
            <a href="http://vlabs.iitb.ac.in/vlab/#" target="_blank">
            <img src="http://cse14-iiith.vlabs.ac.in/images/logo-new.png">
            </a>
            <div class="s1"> 
                <div class="s2">
    <h1><u>Vlabs Account Creation form</u></h1><!--Title-->
     <br>
     <h2>1-Personal Details</h2>
     <ol><!--Made an ordered list-->
    <li>Name</li><br>
    <input type="text" id="t1" placeholder="Enter Your Name"><br><br><!--Made a text input box-->
    <li>Address</li><br>
    <input type="text" id="t2" placeholder="Enter Your Address">
    <br><br>
    <li>Gender</li><br>
    <input type="checkbox" id="c1"><!--Made a checkbox-->
    <label for="c1">Male</label><br>
    <input type="checkbox" id="c2">
    <label for="c2">Female</label><br>
    <input type="checkbox" id="c3">
    <label for="c3">Other</label><br><br>
   <li>Blood Group</li><br>
    <select id="BG"><!--Made a dropdown list-->
       <option>A+</option>
       <option>A-</option>
       <option>B+</option>
       <option>B-</option>
       <option>O+</option>
       <option>O-</option>
       <option>AB+</option>
       <option>AB-</option>
   </select><br><br>
   <li>Date Of Birth (Minimum Age Required is 16 Years)</li><br>
   <input type="date" id="DB" min="2004-01-01"></ol><br><!--Made a box to input date-->
   <h2>2-Contact Details</h2>
   <ol>
       <li>Mobile Number</li>
       <input type="number" id="n1" placeholder="Enter Your Mobile Number"><br><br><!--Made a box to input numbers-->
       <li>Landline Number</li>
       <input type="number" id="n2" placeholder="STD"> -
       <input type="number" id="n3" placeholder="Enter Your Landline Number">
       <br><br>
       <li>Email Address</li>
       <input type="email" id="e1" placeholder="Enter Your Email Address"><br><br></ol> <!--Made a box to input email-->
       <h2>3-Qualifications</h2>
       <ol>
       <li>10Th Marks</li>
       <input type="number" id="n4" placeholder="Enter Your 10Th Percentage">%<br><br>
       <li>12Th Marks</li>
       <input type="number" id="n5" placeholder="Enter Your 12Th Percentage">%<br><br>
       <li>CET Marks</li>
       <input type="number" id="n6" placeholder="Enter Your CET Percentile"><br><br>
</ol>

<h2>4-Account Details</h2>
<ol>
<li>Create An Username</li>
<input type="text" id="t3" placeholder="Enter An Username"><br><br>
<li>Create A Password</li>
<input type="password" id="p1" placeholder="Enter A Password" maxlength="8"><br><!--Made a box to input password-->
<input type="password" id="p2" placeholder="Re-enter The Password"maxlength="8"><br><br>
</ol>
<h2>5-Select All The Languages That You Know</h2>
    <table  cellspacing="20" cellpadding="2"><!--Made a table-->
    <tr>

        <td>
            <input type="checkbox" id="tab1">C++</td>
      <td><input type="checkbox" id="tab1">Java</td>
</tr>
<tr>
<td><input type="checkbox" id="tab1">JavaScript</td>
<td><input type="checkbox" id="tab1">Python</td></tr>
<tr>
    <td><input type="checkbox" id="tab1">HTML</td>
    <td><input type="checkbox" id="tab1">Kotlin</td>
</tr>
</table>    
<br><br>
<center>
<h4>Please Rate This Form</h4>
<h4>0<input type="range" min="0" max="100" id="range1">100</h4><!--Made a range bar-->
<input type="submit" id="sub1"></center><br><!--Made a submit button-->
<footer><!--Made a footer-->
    ONLY FOR VLABS STUDENTS.
</footer>
    </div>
</div>
</body>
</html>